> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/managed-instance/describemanagedinstances.md).

# DescribeManagedInstances

## 1. 接口描述

本接口(DescribeManagedInstances)用于本接口用于查询一台或多台实例的信息。用户可以根据实例ID、实例名称等条件来查询实例的详细信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型              | 描述                                                      |
| --------------- | -- | --------------- | ------------------------------------------------------- |
| instanceIds     | 否  | Array of String | <p>实例ID。</p><p>取值可以由多个实例ID组成一个。</p><p>最多支持100个ID查询。</p> |
| instanceName    | 否  | String          | 实例名称。                                                   |
| ip              | 否  | String          | 公网IP地址。                                                 |
| lanIp           | 否  | String          | 内网IP地址。                                                 |
| facName         | 否  | String          | 地域名称。                                                   |
| cityCode        | 否  | String          | 城市代码。                                                   |
| pageNum         | 否  | Integer         | <p>返回的分页数。</p><p>默认值：1</p>                              |
| pageSize        | 否  | Integer         | <p>返回的分页大小。</p><p>默认值：20。</p><p>默认值：20</p>              |
| resourceGroupId | 否  | String          | 资源组ID。                                                  |

## 3. 响应结果

| 参数名称       | 类型                                                                                                 | 描述                                                       |
| ---------- | -------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                                             | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                            | 实例数量。                                                    |
| dataSet    | Array of [ManagedInstanceInfo](/api-reference/cn/compute/bmc/datastructure.md#managedinstanceinfo) | 实例列表。                                                    |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
POST /api/v2/bmc HTTP/1.1 Host: console.zenlayer.com Content-Type: application/json X-ZC-Action: DescribeManagedInstances Request: { "instanceIds": \["instanceId1","instanceId2"] }

Response: { "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3", "response": { "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3", "totalCount": 1, "dataSet": \[ { "instanceId": "instanceId1", "instanceName": "TEST", "facName": "example", "ips": \[ "1.1.1.1" ], "lanIps": \[ "192.168.0.1" ], "createTime": "2023-01-01T00:00:00Z" } ] } }
{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/managed-instance/describemanagedinstances.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
